API ReferenceChangelog
Log In
API Reference

Create or update the integration between Pixop and Mimir tenant.

Establishes or updates the mapping between a Pixop team and a Mimir tenant, including:

  • Creating or updating the Pixop webhook used to be notified of job status changes.
  • Updating Mimir’s configuration according to the optional mimirSetup payload.

The mapping is established or updated using the provided headers (x-mimir-api-key, x-mimir-tenant, x-pixop-api-key) and remains active for the period specified by daysToLive (default: 90 days). Thus the provided API keys need to be valid for at least this period.

Expiry behavior

  • When the TTL elapses, the integration expires and is deleted (same effect as a DELETE on this resource).
  • Expiry removes webhooks and related state as documented under DELETE /v1/admin/pixop-mimir-integration.

Keeping the integration alive

  • Call this endpoint periodically (e.g., monthly) before the TTL ends to extend the expiry.
  • The TTL is automatically reset whenever new Pixop jobs are initiated.

If mimirSetup is included, Mimir will be configured accordingly. This process creates custom actions for ingesting and deleting videos in Pixop, as well as for the specified Pixop processing configurations. Additional settings are also applied, such as requiring approval for processing jobs, extracting thumbnails, full frames, and a web video during Pixop ingestion, and customizing labels and tooltips for Mimir UI actions and option lists. Please also note that manual steps in Mimir might be required to complete the setup, which will be returned in the response.

If mimirSetup is not included, only the mapping between Pixop and Mimir, and the Pixop webhook will be created or updated. No changes will be made to Mimir setup.

Note:

  • If the mimirSetup contains processing configurations that do not exist in Pixop, the request will fail with a 400 Bad Request and an error message indicating which configuration IDs are invalid.
  • If Mimir setup fails for any reason (e.g. invalid API key, network issues, etc.), the entire request will fail and no changes will be made to the mapping or webhook.
  • If an integration already exists for the given tenant with a different team ID, a 409 Conflict is returned.

Please also check Mimir admin setup guide and User workflows for more information on how to set up and use the integration.

Note: The Pixop–Mimir integration uses Mimir APIs on your behalf using API keys you provide. Ensure your organization’s use complies with your agreement with Fonn/Mimir.

This integration is connected to Fonn, enabling seamless interaction between Pixop and the Fonn-powered Mimir platform.

Query Params
integer
1 to 90
Defaults to 90

Life span (in days) of the Pixop Mimir integration.

integer
1 to 168
Defaults to 48

Tenant-level idle lease window (in whole hours) for Pixop master videos under this tenant.

This setting applies to all current and future master videos for the tenant and governs when an unused master (and its derived outputs/clips) will be cleaned up in Pixop.

Reset semantics (the idle window is NOT reset on general access/download):

  • When a processing appraisal is requested for a specific master video.
  • When a lease is about to expire but Pixop processing for that master is still in progress at that moment (the lease is automatically re-added).
  • When a lease is about to expire but a derived output has not yet been fully copied to Mimir at that moment (the lease is automatically re-added).
  • When the tenant’s lease policy is updated (i.e., this field changes): all existing leases are recomputed relative to their lastUsed timestamps.

On update: remaining TTL for existing masters is recalculated as remaining = newWindow - (now - lastUsed). If remaining <= 0 and no jobs are in progress, the master is scheduled for deletion; otherwise the new TTL is applied from now.

string

The team ID in Pixop to be used for the integration. If not provided, the current default team ID associated with the provided x-pixop-api-key will be used.

integer
1 to 5
Defaults to 1

The maximum number of Pixop processing jobs allowed per pixopSourceVideo, based on the total number of videos that have been successfully processed or are currently in progress in Pixop. If videos are deleted in Pixop, they are not counted towards this limit. This helps control costs and manage resource usage.

boolean
Defaults to true

Whether to add a comment to the Mimir item when Pixop ingestion is finished and assign it to the user who initiated the ingestion.

boolean
Defaults to true

Whether to add a comment to the Mimir item when Pixop processing is finished and assign it to the user who initiated the processing.

Body Params

Request body for creating or updating the Pixop Mimir integration.

Request body for creating or updating the Pixop Mimir integration.

string
required

User ID in Mimir for notifications

mimirSetup
object

If provided Mimir will be set up according to this

Headers
string
required

The mimir tenant for which the integration applies.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json